# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/vqmmc-ipq4019-regulator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm IPQ4019 VQMMC SD LDO regulator

maintainers:
  - Robert Marko <robert.marko@sartura.hr>

description: |
  Qualcomm IPQ4019 SoC-s feature a built a build SD/EMMC controller,
  in order to support both 1.8 and 3V I/O voltage levels an LDO
  controller is also embedded.

allOf:
  - $ref: "regulator.yaml#"

properties:
  compatible:
    const: qcom,vqmmc-ipq4019-regulator

  reg:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    regulator@1948000 {
      compatible = "qcom,vqmmc-ipq4019-regulator";
      reg = <0x01948000 0x4>;
      regulator-name = "vqmmc";
      regulator-min-microvolt = <1500000>;
      regulator-max-microvolt = <3000000>;
      regulator-always-on;
      status = "disabled";
    };
...
